%define oname shadowsocks-libev

%define major 2
%define libname %mklibname shadowsocks %major
%define develname %mklibname shadowsocks -d

Name:		%{oname}
Version:	3.1.0
%define		subrel 1
Release:	%mkrel 1
License:	GPLv3
Summary:	A lightweight and secure socks5 proxy
Url:		https://github.com/madeye/%{name}
Group:		Networking/Other
Source:		%{oname}-%{version}.tar.gz
Source2:	shadowsocks-libev-redir@.service
Source3:	shadowsocks-libev-server@.service
Source4:	shadowsocks-libev@.service
Source5:	shadowsocks-libev-tunnel@.service
Source100:	31-%{name}.conf
#mga 22037
Patch0:         100-fix-cve-2017-15924-command-execution-in-ss-manager.patch

BuildRequires:	gcc
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libev)
BuildRequires:  pkgconfig(libcares)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:	udns-devel
BuildRequires:  asciidoc
BuildRequires:  xmlto-notex
BuildRequires:  mbedtls-devel
Requires(pre):	rpm-helper

%description
%{oname} is a lightweight secured socks5 proxy for embedded devices
and low end boxes.

%package -n %{libname}
Summary:	A lightweight and secure socks5 proxy
Group:		System/Libraries

%description -n %{libname}
%{oname} is a lightweight secured socks5 proxy for embedded devices
and low end boxes.

%package -n %{develname}
Summary:	Development headers for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}

%description -n %{develname}
This package provides development headers for %{oname}.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
#NOCONFIGURE=1 ./autogen.sh

#(eatdirt) removed as it only looks for
#libcork, libbloom and libipset. We don't have the first two and our
#libipset seems to be different than the one shipped in
#--enable-system-shared-lib

%configure2_5x --enable-shared 
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
find %{buildroot} -name '*.la' -delete
mkdir -p "%{buildroot}/%{_unitdir}"
mkdir -p "%{buildroot}/%{_sysconfdir}/shadowsocks"
install -Dm644 "%{SOURCE2}" "%{buildroot}/%{_unitdir}/"
install -Dm644 "%{SOURCE3}" "%{buildroot}/%{_unitdir}/"
install -Dm644 "%{SOURCE4}" "%{buildroot}/%{_unitdir}/"
install -Dm644 "%{SOURCE5}" "%{buildroot}/%{_unitdir}/"

%{__install} -D -p -m 0644 "%{SOURCE100}" %{buildroot}%{_prefix}/lib/sysctl.d/31-%{name}.conf

%pre
%_pre_useradd shadowsocks /var/lib/shadowsocks /bin/false

%files
%attr(0750,root,shadowsocks) %{_sysconfdir}/shadowsocks
%{_bindir}/ss-nat
%{_bindir}/ss-redir
%{_bindir}/ss-tunnel
%{_bindir}/ss-local
%caps(cap_net_bind_service=pe) %{_bindir}/ss-server
%{_bindir}/ss-manager
%{_mandir}/man8/shadowsocks-libev.8*
%{_mandir}/man1/ss-nat.1*
%{_mandir}/man1/ss-manager.1*
%{_mandir}/man1/ss-redir.1*
%{_mandir}/man1/ss-tunnel.1*
%{_mandir}/man1/ss-local.1*
%{_mandir}/man1/ss-server.1*
%{_unitdir}/shadowsocks-libev*.service
%{_prefix}/lib/sysctl.d/31-%{name}.conf
%{_docdir}/%{oname}

%files -n %{libname}
%doc COPYING README.md
%{_libdir}/libshadowsocks-libev.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/shadowsocks.h
%{_libdir}/libshadowsocks-libev.so
%{_libdir}/pkgconfig/shadowsocks-libev.pc


%changelog
* Wed Mar 07 2018 kekepower <kekepower> 3.1.0-1.1.mga6
  (not released yet)
+ Revision: 1207008
- Rebuild for new mbedtls
+ eatdirt <eatdirt>
- Upgrade to version 3.1.0 and security fix for mga#22037

* Mon Oct 10 2016 eatdirt <eatdirt> 2.4.3-5.mga6
+ Revision: 1060012
- Rebuild for new libdsodium

* Sat May 14 2016 daviddavid <daviddavid> 2.4.3-4.mga6
+ Revision: 1015546
- rebuild to check if it build properly (fails on autobuild)
- pass NOCONFIGURE=1 to autogen

* Thu Dec 31 2015 ovitters <ovitters> 2.4.3-3.mga6
+ Revision: 917025
- use capability to allow ports <1024

* Wed Dec 30 2015 ovitters <ovitters> 2.4.3-2.mga6
+ Revision: 917008
- add sysctl file with best settings to improve performance
- add /etc/shadowsocks directory
- enable UDP relay by default
- run as shadowsocks user

* Sat Dec 26 2015 ovitters <ovitters> 2.4.3-1.mga6
+ Revision: 915343
- imported package shadowsocks-libev

